USB_BUS_START_ENUM(9)

NAME
usb_bus_start_enum - start immediate enumeration (for OTG)

SYNOPSIS

int usb_bus_start_enum(struct usb_bus * bus, unsigned port_num);

ARGUMENTS

bus
    the bus (must use hcd framework)

port_num
    1-based number of port; usually bus->otg_port

CONTEXT

in_interrupt

DESCRIPTION

Starts enumeration, with an immediate reset followed later by hub_wq identifying and possibly configuring the device. This is needed by OTG controller drivers, where it helps meet HNP protocol timing requirements for starting a port reset.

RETURN

0 if successful.

COPYRIGHT